Subject: RE: [mobile-ip] MIPv6 v20: HAO received by MN [11.7.2] (23KB)

From: "Greg O'Shea" <[email-masked]>
Date: Fri, 7 Feb 2003 21:00:09 -0000

The attached may help for headaches - it cuts out some of the guesswork.
It is a NetMon trace showing a) RR between MN2 (abroad) and MN3 (at
home) and of more relevance b) RR again when MN3 also goes mobile. It
works and I think all the packet formats are legit. Note I use ESP
tunnels throughout. The trace is taken by MN2. Obviously MN3 would see
something different wrt tunnels to/from its HA.

Recent NetMons understand MIPv6 circa v13, so MH doesn't get parsed. In
case you don't (want to) have NetMon the essential frames look like
this:
HA1=2000::1
MN2HoA=2000::2
MN2HoA'=2000-63f. 
MN2CoA=2001-cb02
MN3HoA=2000::3
MN3HoA'=2000-fe56
MN3CoA=2001-6914

<MN2 detaches from 2000:: onto foreign net 2001::>
#7 IP(MN2CoA,HA1),ESP,IP(MN2CoA,HA1),HAO(MN2HoA),BU
#8 IP(MN2CoA,HA1),ESP,IP(MN2CoA,HA1),HAO(MN2HoA'),BU

<pause for DAD on the HA - rexmit fires just as first BA wings in.
Unlucky #13?>
#13 IP(HA1,MN2CoA),ESP,IP(HA1,MN2HoA'),BA
#14 IP(MN2CoA,HA1),ESP,IP(MN2CoA,HA1),HAO(MN2HoA'),BU
#15 IP(HA1,MN2CoA),ESP,IP(HA1,MN2HoA'),BA
#16 IP(MN2CoA,HA1),ESP,IP(MN2CoA,HA1),HAO(MN2HoA),BU
#17 IP(HA1,MN2CoA),ESP,IP(HA1,MN2HoA),BA

<ping from MN3 to MN2>
#48 IP(HA1,MN2CoA),ESP,IP(MN3HoA,MN2HoA),PING

<RR runs to create BCE for MN2 on MN3>
#50 IP(MN2CoA,HA1),ESP,IP(MN2HoA,MN3HoA),HoTi
#51 IP(MN2CoA,MN3HoA),CoTi
#52 IP(HA1,MN2CoA),ESP,IP(MN3HoA,MN2HoA),HoT
#53 IP(MN3HoA,MN2CoA),CoT
#55 IP(MN2CoA,HA1),ESP,IP(MN2CoA,MN3HoA),HAO(MN2HoA),BU
#58 IP(MN3HoA,MN2CoA),RH(MN2HoA),BA

<MN3 detaches from 2000:: onto foreign net 2001::>
<ping from MN3 to MN2>
#106 IP(HA1,MN2CoA),ESP,IP(MN3HoA,MN2HoA),PING

<RR runs to create BCE for MN3 on MN2 - both nodes now mobile>
#108 IP(HA1,MN2CoA),ESP,IP(MN3HoA,MN2HoA),HoTi
#109 IP(MN2CoA,MN3HoA),HAO(MN2HoA),HoT
#110 IP(MN3CoA,MN2CoA),RH(MN2HoA),CoTi
#111 IP(MN2CoA,HA1),ESP,IP(MN2HoA,MN3CoA),CoT
#113 IP(HA1,MN2CoA),ESP,IP(MN3CoA,MN2HoA),HAO(MN3HoA),BU
#116 IP(MN2CoA,MN3CoA),RH(MN3HoA),HAO(MN2HoA),BA

<subsequent ping(reply) carry both RH and HAO>

>-----Original Message-----
>From: Brian Haley [mailto:[email-masked]] 
>Sent: 06 February 2003 16:36
>To: Jari Arkko
>Cc: Greg O'Shea; [email-masked]
>Subject: Re: [mobile-ip] MIPv6 v20: HAO received by MN [11.7.2]
>
>
>
>Jari Arkko wrote:
>> 
>> Brian Haley wrote:
>> > Why would a CN/MN
>> > be sending a HAO unless it has a binding with this MN 
>anyways?  This 
>> > packet was encapsulated by the HA, so should have had the CN/MNs 
>> > home address as the (inner) source, that would be the target 
>> > address.
>> 
>> Aren't there two independent BCE entries? I am initiating 
>the binding 
>> procedure because apparently the peer does not have a BCE entry for 
>> *me*. But I can still have a BCE entry for *it*, making it possible 
>> that I can receive a legal packet with a HAO?
>
>Yes, you're right I didn't think about that case, but the 
>wording you proposed didn't give any warning about not 
>accepting the HAO. Maybe just a ref to section 9.3.1 so noone 
>gets confused?
>
>> My head hurts from thinking about this.
>
>Mine too...
>
>-Brian
>